<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Leave extends Model
{
    protected $table = 'leaves';

    protected $guarded = [];

    public function student()
    {
        return $this->belongsTo('App\Models\Student');
    }

    public function course()
    {
        return $this->belongsTo('App\Models\Course');
    }

    public function studentCourse()
    {
        return $this->belongsTo('App\Models\StudentCourse');
    }
}
